package com.ruoyi.system.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 动态表格对象 drag_table
 *
 * @author ruoyi
 * @date 2023-07-31
 */
public class DragTable extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 表格主键
     */
    private Long tId;

    /**
     * 表格名称
     */
    @Excel(name = "表格名称")
    private String dtName;

    /**
     * 表格别名
     */
    @Excel(name = "表格别名")
    private String dtNickname;

    /**
     * table编号
     */
    @Excel(name = "table编号")
    private String tableKey;

    /**
     * sql编号
     */
    @Excel(name = "sql编号")
    private String sqlKey;

    /**
     * 绑定表名称
     */
    @Excel(name = "绑定表名称")
    private String dtTableName;

    /**
     * 表格描述
     */
    @Excel(name = "表格描述")
    private String dtNotes;

    /**
     * 列字段标题名称
     */
    @Excel(name = "列字段标题名称")
    private String dtColumnName;

    /**
     * 时间格式
     */
    @Excel(name = "时间格式")
    private String timeFormat;

    /**
     * 备用列
     */
    @Excel(name = "备用列")
    private String spare;

    /**
     * 备用列
     */
    @Excel(name = "备用列")
    private String spare1;

    /**
     * 逻辑删除
     */
    private String delFlag;

    /**
     * 是否显示列表复选框(0:显示；1;不显示)
     */
    private String isSelection;

    /**
     * 回显数据（前端修改回显数据使用）
     */
    private String echoData;

    /**
     * 菜单编号
     */
    private Long menuId;

    /**
     * 当前表单的唯一标识，修改删除使用
     */
    private String primaryKey;

    @Override
    public String toString() {
        return "DragTable{" +
                "tId=" + tId +
                ", dtName='" + dtName + '\'' +
                ", dtNickname='" + dtNickname + '\'' +
                ", tableKey='" + tableKey + '\'' +
                ", sqlKey='" + sqlKey + '\'' +
                ", dtTableName='" + dtTableName + '\'' +
                ", dtNotes='" + dtNotes + '\'' +
                ", dtColumnName='" + dtColumnName + '\'' +
                ", timeFormat='" + timeFormat + '\'' +
                ", spare='" + spare + '\'' +
                ", spare1='" + spare1 + '\'' +
                ", delFlag='" + delFlag + '\'' +
                ", isSelection='" + isSelection + '\'' +
                ", echoData='" + echoData + '\'' +
                ", menuId=" + menuId +
                ", primaryKey='" + primaryKey + '\'' +
                '}';
    }

    public Long gettId() {
        return tId;
    }

    public void settId(Long tId) {
        this.tId = tId;
    }

    public String getDtName() {
        return dtName;
    }

    public void setDtName(String dtName) {
        this.dtName = dtName;
    }

    public String getDtNickname() {
        return dtNickname;
    }

    public void setDtNickname(String dtNickname) {
        this.dtNickname = dtNickname;
    }

    public String getTableKey() {
        return tableKey;
    }

    public void setTableKey(String tableKey) {
        this.tableKey = tableKey;
    }

    public String getSqlKey() {
        return sqlKey;
    }

    public void setSqlKey(String sqlKey) {
        this.sqlKey = sqlKey;
    }

    public String getDtTableName() {
        return dtTableName;
    }

    public void setDtTableName(String dtTableName) {
        this.dtTableName = dtTableName;
    }

    public String getDtNotes() {
        return dtNotes;
    }

    public void setDtNotes(String dtNotes) {
        this.dtNotes = dtNotes;
    }

    public String getDtColumnName() {
        return dtColumnName;
    }

    public void setDtColumnName(String dtColumnName) {
        this.dtColumnName = dtColumnName;
    }

    public String getTimeFormat() {
        return timeFormat;
    }

    public void setTimeFormat(String timeFormat) {
        this.timeFormat = timeFormat;
    }

    public String getSpare() {
        return spare;
    }

    public void setSpare(String spare) {
        this.spare = spare;
    }

    public String getSpare1() {
        return spare1;
    }

    public void setSpare1(String spare1) {
        this.spare1 = spare1;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getIsSelection() {
        return isSelection;
    }

    public void setIsSelection(String isSelection) {
        this.isSelection = isSelection;
    }

    public String getEchoData() {
        return echoData;
    }

    public void setEchoData(String echoData) {
        this.echoData = echoData;
    }

    public Long getMenuId() {
        return menuId;
    }

    public void setMenuId(Long menuId) {
        this.menuId = menuId;
    }

    public String getPrimaryKey() {
        return primaryKey;
    }

    public void setPrimaryKey(String primaryKey) {
        this.primaryKey = primaryKey;
    }

    public DragTable() {

    }

    public DragTable(Long tId, String dtName, String dtNickname, String tableKey, String sqlKey, String dtTableName, String dtNotes, String dtColumnName, String timeFormat, String spare, String spare1, String delFlag, String isSelection, String echoData, Long menuId, String primaryKey) {
        this.tId = tId;
        this.dtName = dtName;
        this.dtNickname = dtNickname;
        this.tableKey = tableKey;
        this.sqlKey = sqlKey;
        this.dtTableName = dtTableName;
        this.dtNotes = dtNotes;
        this.dtColumnName = dtColumnName;
        this.timeFormat = timeFormat;
        this.spare = spare;
        this.spare1 = spare1;
        this.delFlag = delFlag;
        this.isSelection = isSelection;
        this.echoData = echoData;
        this.menuId = menuId;
        this.primaryKey = primaryKey;
    }
}
